from vo.table import parse
import subprocess
import os

def validate_schema(filename):
    p = subprocess.Popen("xmllint --schema VOTable.v1.1.xsd %s" % filename,
                         shell=True)
    sts = os.waitpid(p.pid, 0)
    assert sts[1] == 0

def regression_test():
    # Read the VOTABLE
    votable = parse("regression.xml", support_hexadecimal=True)
    votable.to_xml("regression.tabledata.xml")
    validate_schema("regression.tabledata.xml")
    votable.get_first_table().format = 'binary'
    votable.to_xml("regression.binary.xml")
    validate_schema("regression.binary.xml")
    votable2 = parse("regression.binary.xml")
    votable2.get_first_table().format = 'tabledata'
    votable2.to_xml("regression.bin.tabledata.xml")
    validate_schema("regression.bin.tabledata.xml")

    truth = open("regression.bin.tabledata.truth.xml").read()
    output = open("regression.bin.tabledata.xml").read()
    assert truth == output

    return votable.get_first_table().array

table = regression_test()
