'''Handles configuration issues for available VO services supported by the VO package

This includes checking the local configuration as well as updating the local
configuration on a regular basis
'''
import os
from vo.util import safeeval

CONFIGPATH = ['']
PRIMARY_CONFIG_URL = ""

def get_homedir():
    '''Determine where the user's home directory is'''
    try:
        from win32com.shell import shellcon, shell
        homedir = shell.SHGetFolderPath(0, shellcon.CSIDL_APPDATA, 0, 0)
    except ImportError:
        homedir = os.path.expanduser("~")
    return homedir
	
def get_vo_service_config():
    '''Load the vo service configuration info and return as a dictionary'''
    homedir = get_homedir()
    configsource = os.path.join(homedir,'pyvoservice.config')
    # check for existence
    text = open(configsource).readlines()
    return safeeval(''.join(text))
	
def get_remote_vo_service_config():
    '''Obtain the configuration file remotely from the standard URLs.'''
    pass
	
_config = get_vo_service_config()